# Health API

### Path

```
/ext/health
```

### API Methods <a href="#api-methods" id="api-methods"></a>

#### health.getLiveness <a href="#healthgetliveness" id="healthgetliveness"></a>

Get health check on this node.

* `heartbeat` is the unix timestamp of the last time the network handled a message.
* `timestamp` is the timestamp of the last health check.
* `duration` is the execution duration of the last health check in milliseconds.
* `contiguousFailures` is the number of fails that occurred in a row.
* `timeOfFirstFailure` is the time of the initial transitional failure.

### **Example Call**

```
//Request
curl -X POST --data '{
    "jsonrpc":"2.0",
    "id"     :1,
    "method" :"health.getLiveness"
}' -H 'content-type:application/json;' https://ava-api.bwarelabs.com/<your-endpoint-id>/ext/health

//Response
{
    "jsonrpc": "2.0",
    "result": {
        "checks": {
            "chains.default.bootstrapped": {
                "timestamp": "2020-09-14T16:37:18.94094791Z",
                "duration": 17731,
                "contiguousFailures": 0,
                "timeOfFirstFailure": null
            },
            "network.validators.heartbeat": {
                "message": {
                    "heartbeat": 1600101438
                },
                "timestamp": "2020-09-14T16:37:18.939024201Z",
                "duration": 8527,
                "contiguousFailures": 0,
                "timeOfFirstFailure": null
            }
        },
        "healthy": true
    },
    "id": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bwarelabs.com/api-docs/avalanche-api/health-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
